質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.04%

【緊急】Ruby on rails rails sをしてエラーで繋がらないので困っている。

解決済

回答 2

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 917

kenkun777

score 4

 実現したいこと

Ruby on railsでrails sを実行するも
エラーが出てアクセスが出来ない。

ググって調べるものの解決せずで困っています。

 発生しているエラーメッセージ

=> Booting Puma
=> Rails 5.2.1 application starting in development
=> Run `rails server -h` for more startup options
Exiting
/Users/space/rails/spa/config/environments/development.rb:37:in `block (2 levels) in <top (required)>': uninitialized constant Bullet (NameError)
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/activesupport-5.2.1/lib/active_support/lazy_load_hooks.rb:69:in `block in execute_hook'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/activesupport-5.2.1/lib/active_support/lazy_load_hooks.rb:62:in `with_execution_control'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/activesupport-5.2.1/lib/active_support/lazy_load_hooks.rb:67:in `execute_hook'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/activesupport-5.2.1/lib/active_support/lazy_load_hooks.rb:52:in `block in run_load_hooks'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/activesupport-5.2.1/lib/active_support/lazy_load_hooks.rb:51:in `each'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/activesupport-5.2.1/lib/active_support/lazy_load_hooks.rb:51:in `run_load_hooks'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/railties-5.2.1/lib/rails/application/finisher.rb:75:in `block in <module:Finisher>'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/railties-5.2.1/lib/rails/initializable.rb:32:in `instance_exec'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/railties-5.2.1/lib/rails/initializable.rb:32:in `run'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/railties-5.2.1/lib/rails/initializable.rb:61:in `block in run_initializers'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/2.4.0/tsort.rb:228:in `block in tsort_each'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/2.4.0/tsort.rb:350:in `block (2 levels) in each_strongly_connected_component'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/2.4.0/tsort.rb:431:in `each_strongly_connected_component_from'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/2.4.0/tsort.rb:349:in `block in each_strongly_connected_component'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/2.4.0/tsort.rb:347:in `each'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/2.4.0/tsort.rb:347:in `call'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/2.4.0/tsort.rb:347:in `each_strongly_connected_component'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/2.4.0/tsort.rb:226:in `tsort_each'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/2.4.0/tsort.rb:205:in `tsort_each'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/railties-5.2.1/lib/rails/initializable.rb:60:in `run_initializers'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/railties-5.2.1/lib/rails/application.rb:361:in `initialize!'
        from /Users/space/rails/spa/config/environment.rb:5:in `<top (required)>'
        from config.ru:3:in `block in <main>'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/rack-2.0.5/lib/rack/builder.rb:55:in `instance_eval'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/rack-2.0.5/lib/rack/builder.rb:55:in `initialize'
        from config.ru:in `new'
        from config.ru:in `<main>'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/rack-2.0.5/lib/rack/builder.rb:49:in `eval'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/rack-2.0.5/lib/rack/builder.rb:49:in `new_from_string'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/rack-2.0.5/lib/rack/builder.rb:40:in `parse_file'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/rack-2.0.5/lib/rack/server.rb:319:in `build_app_and_options_from_config'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/rack-2.0.5/lib/rack/server.rb:219:in `app'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/railties-5.2.1/lib/rails/commands/server/server_command.rb:27:in `app'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/rack-2.0.5/lib/rack/server.rb:354:in `wrapped_app'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/railties-5.2.1/lib/rails/commands/server/server_command.rb:89:in `log_to_stdout'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/railties-5.2.1/lib/rails/commands/server/server_command.rb:51:in `start'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/railties-5.2.1/lib/rails/commands/server/server_command.rb:147:in `block in perform'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/railties-5.2.1/lib/rails/commands/server/server_command.rb:142:in `tap'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/railties-5.2.1/lib/rails/commands/server/server_command.rb:142:in `perform'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/thor-0.20.0/lib/thor/command.rb:27:in `run'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/thor-0.20.0/lib/thor/invocation.rb:126:in `invoke_command'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/thor-0.20.0/lib/thor.rb:387:in `dispatch'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/railties-5.2.1/lib/rails/command/base.rb:65:in `perform'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/railties-5.2.1/lib/rails/command.rb:46:in `invoke'
        from /Users/space/.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/railties-5.2.1/lib/rails/commands.rb:18:in `<top (required)>'
        from bin/rails:9:in `require'
        from bin/rails:9:in `<main>'

//*---------------- 追加情報<development.rb> ---------------- *//

Rails.application.configure do
  # Settings specified here will take precedence over those in config/application.rb.

  # In the development environment your application's code is reloaded on
  # every request. This slows down response time but is perfect for development
  # since you don't have to restart the web server when you make code changes.
  config.cache_classes = false

  # Do not eager load code on boot.
  config.eager_load = false

  # Show full error reports and disable caching.
  config.consider_all_requests_local       = true
  config.action_controller.perform_caching = false

  # Print deprecation notices to the Rails logger.
  config.active_support.deprecation = :log

  # Raise an error on page load if there are pending migrations.
  config.active_record.migration_error = :page_load

  # Debug mode disables concatenation and preprocessing of assets.
  # This option may cause significant delays in view rendering with a large
  # number of complex assets.
  config.assets.debug = true        # Re-read each assets file
  config.assets.compile = true
  config.assets.digest = true       # Add md5 value on every static file
  config.serve_static_files = true

  # Adds additional error checking when serving assets at runtime.
  # Checks for improperly declared sprockets dependencies.
  # Raises helpful error messages.
  config.assets.raise_runtime_errors = true

  # gem bullet
  config.after_initialize do
    Bullet.enable = true # Bulletプラグインを有効
    Bullet.alert = true # JavaScriptでの通知
    Bullet.bullet_logger = true # log/bullet.logへの出力
    Bullet.console = true # ブラウザのコンソールログに記録
    Bullet.rails_logger = true # Railsログに出力
  end

  # Raises error for missing translations
  config.action_view.raise_on_missing_translations = true

  # Mailer Setting
  config.action_mailer.default_url_options = { host: 'localhost:3000' }
  config.action_mailer.delivery_method = :letter_opener

  config.action_controller.action_on_unpermitted_parameters = :raise

end
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • kazto

    2018/09/18 15:16

    /Users/space/rails/spa/config/environments/development.rb の内容を追記できますでしょうか。

    キャンセル

  • kenkun777

    2018/09/18 16:25

    ありがとうございます。development.rbの内容を追加しました!!

    キャンセル

回答 2

check解決した方法

0

 gem bulletを消すと動きましたが、結局原因がわかった訳ではありません。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

0

エラー文の一行目にuninitialized constant Bullet (NameError)とありますが、
Gemfile.rbを修正しましたでしょうか?
もしGemfile.rbの記述を修正したら、ターミナルでbundle installをし直さないと設定が反映されないです。
下記が参考になるかもしれません。違っていたらごめんなさい。
https://qiita.com/shibadai/items/561d0a943c941a61c45c

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/09/18 16:25

    ありがとうございます。
    Gemfile.rbのruby '2.4.2'をruby '>= 2.4.2'に変更したくらいです。
    bundle installしても同じエラーが続くんです。

    参考のURLを拝見して実行してみます!!

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.04%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る